FLANG

Public Member Functions | Public Attributes | List of all members
Fortran::evaluate::DynamicTypeWithLength Struct Reference
Inheritance diagram for Fortran::evaluate::DynamicTypeWithLength:

## Public Member Functions
| DynamicTypeWithLength (const DynamicType &t)
std::optional< Expr< SubscriptInteger > > | LEN () const
Public Member Functions inherited from Fortran::evaluate::DynamicType
constexpr | DynamicType (TypeCategory cat, int k)
constexpr | DynamicType (int k, const semantics::ParamValue &pv)
constexpr | DynamicType (const semantics::DerivedTypeSpec &dt, bool poly=false)
bool | operator== (const DynamicType &) const
bool | operator!= (const DynamicType &that) const
constexpr TypeCategory | category () const
constexpr int | kind () const
constexpr const semantics::ParamValue * | charLength () const
std::optional< common::ConstantSubscript > | GetCharLength () const
std::optional< std::size_t > | MeasureSizeInBytes () const
std::string | AsFortran () const
std::string | AsFortran (std::string &&charLenExpr) const
DynamicType | ResultTypeForMultiply (const DynamicType &) const
bool | IsAssumedLengthCharacter () const
bool | IsNonConstantLengthCharacter () const
bool | IsTypelessIntrinsicArgument () const
constexpr bool | IsAssumedType () const
constexpr bool | IsPolymorphic () const
constexpr bool | IsUnlimitedPolymorphic () const
constexpr const semantics::DerivedTypeSpec & | GetDerivedTypeSpec () const
bool | RequiresDescriptor () const
bool | HasDeferredTypeParameter () const
bool | IsTypeCompatibleWith (const DynamicType &) const
bool | IsTkCompatibleWith (const DynamicType &) const

## Public Attributes
std::optional< Expr< SubscriptInteger > > | length

## Additional Inherited Members
Static Public Member Functions inherited from Fortran::evaluate::DynamicType
static constexpr DynamicType | TypelessIntrinsicArgument ()
static constexpr DynamicType | UnlimitedPolymorphic ()
static constexpr DynamicType | AssumedType ()
static std::optional< DynamicType > | From (const semantics::DeclTypeSpec &)
static std::optional< DynamicType > | From (const semantics::Symbol &)
template<typename A >
static std::optional< DynamicType > | From (const A &x)
template<typename A >
static std::optional< DynamicType > | From (const A *p)
template<typename A >
static std::optional< DynamicType > | From (const std::optional< A > &x)

The documentation for this struct was generated from the following file:

- lib/Semantics/expression.cpp